## net.sf.saxon.event
Interface LocationProvider

All Known Subinterfaces:
  InstructionInfo, SaxonLocator

All Known Implementing Classes:
  DocumentSender, DOMSender, ExpressionLocation, InstructionDetails, LocationCopier, LocationMap, ReceivingContentHandler, StyleElement, TraceExpression, XQueryFunction

public interface LocationProvider

LocationProvider: this is a marker interface used to identify an object that provides the location of elements in a source document or instructions in a stylesheet or query. A locationProvider may be passed down the Receiver pipeline as part of the PipelineConfiguration object; on the input pipeline, this will be a `SaxonLocator` object, on the output pipeline, it will be a `LocationMap`

Method Summary
`int` `getLineNumber(int locationId)`
`java.lang.String` `getSystemId(int locationId)`

Method Detail

### getSystemId

    public java.lang.String getSystemId(int locationId)

### getLineNumber

    public int getLineNumber(int locationId)